QuickFIX: FIX::LocalDate Class Reference

Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::LocalDate Class Reference
[User]

Date only represented in local time. More...

`#include <FieldTypes.h>`

Inheritance diagram for FIX::LocalDate:
[legend]
Collaboration diagram for FIX::LocalDate:
[legend]

List of all members.

## Public Member Functions
| LocalDate ()
| Defaults to the current date.
| LocalDate (const DateTime &val)
| LocalDate (int date, int month, int year)
| LocalDate (long sec)
| LocalDate (const tm *time)
void | setCurrent ()
| Set to the current time.

## Detailed Description

Date only represented in local time.

Definition at line 587 of file FieldTypes.h.

## Constructor & Destructor Documentation

FIX::LocalDate::LocalDate | ( |  | ) | `[inline]`

Defaults to the current date.

Definition at line 591 of file FieldTypes.h.

References setCurrent().

    00592   {
    00593     setCurrent();
    00594   }

FIX::LocalDate::LocalDate | ( | const DateTime & | val | ) | `[inline]`

Definition at line 596 of file FieldTypes.h.

References FIX::DateTime::clearTime().

    00597   : DateTime( val )
    00598   {
    00599     clearTime();
    00600   }

FIX::LocalDate::LocalDate | ( | int | date,
|  | int | month,
|  | int | year |
| ) |  |  | `[inline]`

Definition at line 602 of file FieldTypes.h.

    00603   : DateTime(year, month, date, 0, 0, 0, 0) {}

FIX::LocalDate::LocalDate | ( | long | sec | ) | `[inline]`

Definition at line 605 of file FieldTypes.h.

    00606   : DateTime( sec / DateTime::SECONDS_PER_DAY, 0 ) {}

FIX::LocalDate::LocalDate | ( | const tm * | time | ) | `[inline]`

Definition at line 608 of file FieldTypes.h.

References FIX::DateTime::clearTime().

    00609   : DateTime( fromTm (*time) )
    00610   {
    00611     clearTime();
    00612   }

## Member Function Documentation

void FIX::LocalDate::setCurrent | ( |  | ) | `[inline]`

Set to the current time.

Definition at line 615 of file FieldTypes.h.

References FIX::DateTime::m_date, and FIX::DateTime::nowLocal().

Referenced by LocalDate().

    00616   {
    00617     DateTime d = nowLocal();
    00618     m_date = d.m_date;
    00619   }

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/FieldTypes.h